



varying vec3 normal;
uniform sampler2D Texture0;

	
	void main()
	{


vec4 color ;
color.rgba    = texture2D(Texture0,gl_TexCoord[0].st).rgba;
color.rgb    += -0.3+normal.z*0.3;


gl_FragColor = color;
	}